<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Global</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Global</h1>

    




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="checkPrice"><span class="type-signature"></span>checkPrice<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    check the price when the price is more than max Price, it degrade to max Price and if it is less tna 0, it set to 0.
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_product.js.html">models/product.js</a>, <a href="models_product.js.html#line60">line 60</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="getProducts"><span class="type-signature"></span>getProducts<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Get all de products added
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_carInsurance.js.html">models/carInsurance.js</a>, <a href="models_carInsurance.js.html#line14">line 14</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="setPrice"><span class="type-signature"></span>setPrice<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    update price to the default price to go down and if the sell in variable is less than 0, it degrade twice more fast.
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_product.js.html">models/product.js</a>, <a href="models_product.js.html#line37">line 37</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="setSellIn"><span class="type-signature"></span>setSellIn<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    update day limit of sell
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_product.js.html">models/product.js</a>, <a href="models_product.js.html#line51">line 51</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="update"><span class="type-signature"></span>update<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    call to update price and sellIn
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_product.js.html">models/product.js</a>, <a href="models_product.js.html#line27">line 27</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="updatePrice"><span class="type-signature"></span>updatePrice<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Update the price of each product as the days go by.
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_carInsurance.js.html">models/carInsurance.js</a>, <a href="models_carInsurance.js.html#line23">line 23</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-Application.html">Application</a></li><li><a href="module-productController.html">productController</a></li></ul><h3>Classes</h3><ul><li><a href="carInsurance.html">carInsurance</a></li><li><a href="FullCoverage.html">FullCoverage</a></li><li><a href="LowCoverage.html">LowCoverage</a></li><li><a href="MediumCoverage.html">MediumCoverage</a></li><li><a href="MegaCoverage.html">MegaCoverage</a></li><li><a href="Product.html">Product</a></li><li><a href="specialFullCoverage.html">specialFullCoverage</a></li><li><a href="SuperSaleCoverage.html">SuperSaleCoverage</a></li></ul><h3>Global</h3><ul><li><a href="global.html#checkPrice">checkPrice</a></li><li><a href="global.html#getProducts">getProducts</a></li><li><a href="global.html#setPrice">setPrice</a></li><li><a href="global.html#setSellIn">setSellIn</a></li><li><a href="global.html#update">update</a></li><li><a href="global.html#updatePrice">updatePrice</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Jan 24 2021 14:28:26 GMT-0600 (Central Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>